.\" file MASS/Choleski.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Choleski
.TL
Perform Choleski Decomposition of a Positive Definite Symmetric Matrix
.DN
Perform Choleski decomposition of a real positive-definite symmetric
Matrix (that was generated using `library(Matrix)').
.CS
Choleski(x)
.RA
.AG x
A real symmetric matrix
.RT
A lower triangular Matrix `L' such that `L %*% t(L) = A'.
.DT
An error will result unless `A' is strictly positive definite.
.SA
`chol'
.EX
> library(Matrix)
> A <- Matrix(c(6,3,3,4),2,2)
> Choleski(A)
       [,1]   [,2] 
[1,] 2.4495 0.0000
[2,] 1.2247 1.5811
attr(, "class"):
[1] "LowerTriangular" "Matrix"
.KW algebra
.WR
