.BG
.FN bandwidth.nrd
.TL
Bandwidth for density() via Normal Reference Distribution.
.DN
A well-supported rule-of-thumb for choosing the bandwidth of a Gaussian
kernel density estimator.
.CS
bandwidth.nrd(x)
.RA
.AG x
A data vector.
.RT
A bandwidth on a scale suitable for the `width' argument of `density'.
.SH REFERENCES
Venables, W. N. and Ripley, B. D. (1999)
.ul
Modern Applied Statistics with S-PLUS.
Springer, equation (5.5) on page 135.
.EX
# The function is currently defined as
function(x)
{
	r <- quantile(x, c(0.25, 0.75))
	h <- (r[2] - r[1])/1.34
	4 * 1.06 * min(sqrt(var(x)), h) * length(x)^(-1/5)
}
.KW dplot
.WR
