.\" file MASS/gehan.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN gehan
.TL
Remission Times of Leukaemia Patients
.SH SUMMARY
A data frame from a trial of 42 leukaemia patients. Some were
treated with the drug 
.ul
6-mercaptopurine
and the rest are controls.  The trial was designed as matched pairs,
both withdrawn from the trial when either came out of remission.
.SH "DATA DESCRIPTION"
This data frame contains the following columns:
.AG pair
label for pair
.AG time
remission time in weeks
.AG cens
censoring, 0/1
.AG treat
treatment, control or 6-MP
.SH SOURCE
Cox, D. R. and Oakes, D. (1984)
.ul
Analysis of Survival Data.
Chapman & Hall, p. 7. Taken from
.PP
Gehan, E.A. (1965) A generalized Wilcoxon test for comparing 
arbitrarily single-censored samples.
.ul
Biometrika
\fB52\fR, 203-233.
.EX
gehan.surv <- survfit(Surv(time, cens) ~ treat, data=gehan,
     conf.type="log-log")
summary(gehan.surv)
survreg(Surv(time, cens) ~ factor(pair) + treat, gehan, dist="exp")
summary(survreg(Surv(time, cens) ~ treat, gehan, dist="exp"))
summary(survreg(Surv(time, cens) ~ treat, gehan))
gehan.cox <- coxph(Surv(time, cens) ~ treat, gehan)
summary(gehan.cox)
.KW sysdata
.WR
