.\" file MASS/huber.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN huber
.TL
Huber M-estimator of Location with MAD Scale
.DN
Finds the Huber M-estimator of location with MAD scale.
.CS
huber(y, k=1.5, tol=1e-06)
.RA
.AG y
vector of data values
.OA
.AG k
Winsorizes at `k' standard deviations
.AG tol
convergence tolerance
.RT
list of location and scale parameters
.RC mu
location estimate
.RC s
MAD scale estimate
.SH REFERENCE
Huber, P. J. (1981)
.ul
Robust Statistics.
Wiley.
.SA
`hubers', `mad'
.EX
huber(chem)
.KW robust
.WR
