.\" file MASS/hubers.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN hubers
.TL
Huber Proposal 2 Robust Estimator of Location and/or Scale
.DN
Finds the Huber M-estimator for location with scale specified, scale
with location specified, or both if neither is specified.
.CS
hubers(y, k=1.5, mu, s, initmu=median(y), tol=1e-06)
.RA
.AG y
vector y of data values
.OA
.AG k
Winsorizes at `k' standard deviations
.AG mu
specified location
.AG s
specified scale
.AG initmu
initial value of `mu'
.AG tol
convergence tolerance
.RT
list of location and scale estimates
.RC mu
location estimate
.RC s
scale estimate
.SH REFERENCE
Huber, P. J. (1981)
.ul
Robust Statistics.
Wiley.
.SA
`huber'
.EX
hubers(chem)
hubers(chem, mu=3.68)
.KW robust
.WR
