.\" file MASS/plot.ppr.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN plot.ppr
.TL
Plot Ridge Functions for Projection Pursuit Regression Fit
.DN
This plots the cross-sections of the ridge functions making up a 
projection pursuit regression fit.
.CS
plot.ppr(fit, ask, type="o", ...)
.RA
.AG fit
A fit of class `"ppr"' as produced by a call to `ppr'.
.OA
.AG ask
the graphics parameter `ask': see `par' for details. If set to `True'
will ask between the plot of each cross-section.
.AG type
the type of line to draw
.AG ...
further graphical parameters
.RT
None
.SE
A series of plots are drawn on the current graphical device, one for
each term in the fit.
.SA
`ppr', `par'
.EX
attach(rock)
area1 <- area/10000; peri1 <- peri/10000
rock.ppr <- ppr(log(perm) ~ area1 + peri1 + shape,
		data=rock, nterms=2, max.terms=5)
par(mfrow=c(1,2), pty="s")
plot(rock.ppr)
plot(update(rock.ppr, bass=5))
plot(update(rock.ppr, sm.method="gcv", gcvpen=2))
.KW hplot
.WR
