.\" file MASS/renumerate.d
.\" copyright (C) 2000 W. N. Venables and B. D. Ripley
.\"
.BG
.FN renumerate
.FN renumerate.formula
.TL
Convert a Formula Transformed by `denumerate'
.DN
`denumerate' converts a formula written using the conventions of
`loglm' into one that `terms' is able to process.  `renumerate'
converts it back again to a form like the original.
.CS
renumerate(x)
.RA
.AG x
A formula, normally as modified by `denumerate'.
.RT
A formula where all variables with names of the form `.vn', where
`n' is an integer, converted to numbers, `n', as allowed by the
formula conventions of `loglm'.
.SE
None.
.DT
This is an inverse function to `denumerate'.  It is only needed
since `terms' returns an expanded form of the original formula
where the non-marginal terms are exposed.  This expanded form is
mapped back into a form corresponding to the one that the user
originally supplied.
.SA
`denumerate'
.EX
> denumerate(~(1+2+3)^3 + a/b)
 ~ (.v1 + .v2 + .v3)^3 + a/b
> renumerate(.Last.value)
 ~ (1 + 2 + 3)^3 + a/b
.KW models
.WR
