.\" file MASS/theta.mm.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN theta.mm
.TL
Estimate theta of the Negative Binomial by Moments
.DN
Given the mean estimate, calculate the moment estimator of theta by
equating
.br
`sum((y-mu)^2/(mu+mu^2/theta))' 
to the residual degrees of
freedom.
.CS
theta.mm(y, u, dfr, limit=10, eps=sqrt(.Machine$single.eps))
.RA
.AG y
Vector of observed values from the Negative Binomial.
.AG u
Estimated mean vector.
.AG dfr
Residual degrees of freedom (assuming `theta' known).
.OA
.AG limit
Limit on the number of iterations.
.AG eps
Tolerance to determine convergence.
.RT
The required estimate of `theta', as a scalar.
.SA
`glm.nb', `theta.ml', `theta.md'
.EX
theta <- theta.mm(y, fitted(fm), dfr=123)
.KW models
.WR
