# file MASS/modified/D.q based on S-PLUS 3.2 code (C) 1993 StatSci Inc.
# Amended by W. N. Venables and B. D. Ripley as shown.
# Changes (C) 1994-9  W. N. Venables and B. D. Ripley
# May be used only with a licensed copy of S-PLUS 3.2 or later.
#
D <- function(expr, name)
#
# file MASS/modified/D.q based on S-PLUS 3.2 code (C) 1993 StatSci Inc.
# Amended by W. N. Venables and B. D. Ripley as shown.
# Changes (C) 1994-9  W. N. Venables and B. D. Ripley
# May be used only with a licensed copy of S-PLUS 3.2 or later.
#
switch(mode(expr),
	logical = ,
	numeric = ,
	complex = 0,
	name = if(as.character(expr) == name) 1 else 0,
	expression = D(expr[[1]], name),
	"(" = D(expr[[2]], name),
	call = switch(as.character(expr[[1]]),
          "+" = switch(length(expr), ,
            D(expr[[2]], name),
            make.call("+", D(expr[[2]], name), D(expr[[3]], name))),

          "-" = switch(length(expr), ,
            make.call("-", D(expr[[2]], name)),
            make.call("-", D(expr[[2]], name), D(expr[[3]], name))),

          "*" = make.call("+", make.call("*", D(expr[[2]], name),
            expr[[3]]), make.call("*", expr[[2]], D(expr[[3]], name))),

          "/" = make.call("-", make.call("/", D(expr[[2]], name), expr[[3]]),
            make.call("/", make.call("*", expr[[2]], D(expr[[3]], name)),
                      make.call("^", expr[[3]], 2))),

          "^" = ,
          "**" = switch(mode(expr[[3]]),
            logical = ,
            numeric = make.call("*", expr[[3]], make.call("*", D(
              expr[[2]], name), make.call("^", expr[[2]], expr[[3]] - 1))),
            make.call("+", make.call("*", make.call("^", expr[[2]],
                                                    make.call("-", expr[[3]], 1)), make.call("*", expr[[3]], D(expr[[2]], name))),
                      make.call("*", make.call("^", expr[[2]], expr[[3]]), make.call("*", make.call("log", expr[[2]]), D(expr[[3]], name))))),

          exp = make.call("*", expr, D(expr[[2]], name)),
          log = make.call("/", D(expr[[2]], name), expr[[2]]),
          cos = make.call("*", make.call("sin", expr[[2]]),
            make.call("-", D(expr[[2]], name))),
          sin = make.call("*", make.call("cos", expr[[2]]),
            D(expr[[2]], name)),
          tan = make.call("/", D(expr[[2]], name), make.call("^",
            make.call("cos", expr[[2]]), 2)),
          cosh = make.call("*", make.call("sinh", expr[[2]]),
            D(expr[[2]], name)),
          sinh = make.call("*", make.call("cosh", expr[[2]]),
            D(expr[[2]], name)),
          tanh = make.call("/", D(expr[[2]], name), make.call("^",
            make.call("cosh", expr[[2]]), 2)),
          sqrt = D(call("^", expr[[2]], 0.5), name),
# Next 9 lines are additions.
          pnorm = make.call("*", make.call("dnorm", expr[[2]]),
            D(expr[[2]], name)),
          dnorm = make.call("*", make.call("*",
            make.call("-", expr[[2]]), expr), D(expr[[2]], name)),
          gamma = D(call("exp", call("lgamma", expr[[2]])), name),
          lgamma = make.call("*", make.call("digamma", expr[[2]]),
            D(expr[[2]], name)),
          digamma = make.call("*", make.call("trigamma", expr[[2]]),
            D(expr[[2]], name)),
          stop(paste("Function", expr[[1]],
                     "is not listed in the derivatives table"))),
       NA)

make.call <- function(fcall, arg1, arg2)
{
#
# file MASS/modified/D.q based on S-PLUS 3.2 code (C) 1993 StatSci Inc.
# Amended by W. N. Venables and B. D. Ripley.
# Changes (C) 1994-9  W. N. Venables and B. D. Ripley
# May be used only with a licensed copy of S-PLUS 3.2 or later.
#
  result <- switch(fcall,
		   "+" = if(is.zero(arg1)) arg2 else if(is.zero(arg2)) arg1
		   else if(is.uminus(arg1)) make.call("-", arg2, arg1[[2]])
		   else if(is.uminus(arg2)) make.call("-", arg1, arg2[[2]])
		   else call("+", arg1, arg2),

                   "-" = if(missing(arg2)) {
		     if(is.zero(arg1)) 0
		     else if(is.uminus(arg1)) arg1[[2]]
		     else call("-", arg1)
		   } else {
		     if(is.zero(arg2)) arg1
		     else if(is.zero(arg1)) make.call("-", arg2)
		     else if(is.uminus(arg1))
		       make.call("-", make.call("+", arg1[[2]], arg2))
		     else if(is.uminus(arg2)) make.call("+", arg1, arg2[[2]])
		     else call("-", arg1, arg2)
		   },

                   "*" = if(is.zero(arg1)) 0 else if(is.zero(arg2)) 0
		   else if(is.one(arg1)) arg2
		   else if(is.one(arg2)) arg1
		   else if(is.uminus(arg1))
		     make.call("-", make.call("*", arg1[[2]], arg2))
		   else if(is.uminus(arg2))
		     make.call("-", make.call("*", arg1, arg2[[2]]))
		   else call("*", arg1, arg2),

                   "/" = if(is.zero(arg1)) 0 else if(is.zero(arg2)) NA
		   else if(is.one(arg2)) arg1
		   else if(is.uminus(arg1))
		     make.call("-", make.call("/", arg1[[2]], arg2))
		   else if(is.uminus(arg2))
		     make.call("-", make.call("/", arg1, arg2[[2]]))
		   else call("/", arg1, arg2),

                   "^" = if(is.zero(arg2)) 1 else if(is.zero(arg1)) 0
		   else if(is.one(arg1)) 1
		   else if(is.one(arg2)) arg1
		   else call("^", arg1, arg2),

                   # dummy to soak up all other cases
		   if(missing(arg2)) call(fcall, arg1)
                   else call(fcall, arg1, arg2))
  if(length(result) == 2 && is.atomic(result[[2]]) && result[[1]] != "-")
    result <- eval(result)
  if(length(result) == 3 && is.atomic(result[[2]]) && is.atomic(result[[3]]))
    result <- eval(result)
  result
}

