.\" file spatial/surf.gls.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN surf.gls
.TL
Fits a Trend Surface by Generalized Least-squares
.DN
Fits a trend surface by generalized least-squares.
.CS
surf.gls(np, covmod, x, y, z, nx=1000, ...)
.RA
.AG np
degree of polynomial surface
.AG covmod
function to evaluate covariance or correlation function
.AG x
x coordinates or a data frame with columns `x', `y', `z'
.AG y
y coordinates
.AG z
z coordinates. Will supersede `x$z'
.OA
.AG nx
Number of bins for table of the covariance. Increasing adds accuracy,
and increases size of the object.
.AG ...
parameters for `covmod'
.RT
list with components 
.RC beta
the coefficients
.RC x
.RC y
.RC z
.PP
and others for internal use only.
.SA
`trmat', `surf.ls', `prmat', `semat', `expcov', `gaucov', `sphercov'
.EX
topo.kr <- surf.gls(2, expcov, topo, d=0.7)
trsurf <- trmat(topo.kr, 0, 6.5, 0, 6.5, 50)
contour(trsurf)
prsurf <- prmat(topo.kr, 0, 6.5, 0, 6.5, 50)
contour(prsurf, levels=seq(700, 925, 25))
sesurf <- semat(topo.kr, 0, 6.5, 0, 6.5, 30)
contour(sesurf, levels=c(22,25))
.KW spatial
.WR
